/*
 Luminardo OBDII electronic gauge
 with I2C 128x64 SSD1306 OLED display
 
 Copyright (c) 2015 Dmitry Pakhomenko.
 dmitryp@magictale.com
 http://magictale.com/luminardo
 
 This example code is in the public domain.
 */

#ifndef Messages_h
#define Messages_h

const char FIRMWARE_REV[] PROGMEM = "Rev. 1.0";
const char FIRMWARE_DATE[] PROGMEM = "29.04.15";
const char PRODUCT_NAME[] PROGMEM = "Luminardo OBDII electronic gauge with SSD1306 I2C OLED display ";
const char OSC_FAILED[] PROGMEM = "OSC did not start";
const char SPP_BT_LIB[] PROGMEM = "SPP Bluetooth Library ";
const char ENABLE_VBUS[] PROGMEM = "Enabling VBus... ";
const char ENABLED[] PROGMEM = "enabled";
const char BT_CONNECTED[] PROGMEM = "Serial Bluetooth connected";
const char STARTED[] PROGMEM = "started ";
const char FAILURE[] PROGMEM = "FAILURE ";
const char SPACE_CHAR[] PROGMEM = " ";
const char MAGICTALE_URL[] PROGMEM = "http://magictale.com";
const char KMH[] PROGMEM = "KM/H";
const char RPM[] PROGMEM = "RPM";
const char CONNECTED_TO[] PROGMEM = "Connected to:";
const char VEHICLE[] PROGMEM = "VEHICLE";
const char IS_NOT[] PROGMEM = "IS NOT";
const char RESPONDING[] PROGMEM = "RESPONDING";
const char OBDII_NOT_SUPPORTED[] PROGMEM = "(or OBDII is not   supported)";
const char ELM_PREFIX[] PROGMEM = "ELM[";
const char ELM_SUFFIX[] PROGMEM = "]:";
const char ELM_INIT[] PROGMEM = "ATZ";
const char ELM_READ_SYS_VOLTAGE[] PROGMEM = "ATRV";
const char ELM_READ_ENGINE_RPM[] PROGMEM = "010C";
const char ELM_READ_VEHICLE_SPEED[] PROGMEM = "010D";
const char ELM_READ_FUEL_LEVEL[] PROGMEM = "012F";

#endif

